install_prereq: Checkout of libSRTP 1.5.x.
authorAlexander Traud <pabstraud@compuserve.com>
Mon, 11 Jul 2016 15:17:47 +0000 (17:17 +0200)
committerAlexander Traud <pabstraud@compuserve.com>
Mon, 11 Jul 2016 15:18:56 +0000 (17:18 +0200)
Since 5th November 2014, the master branch of libSRTP changed the prefix of
several member names and is not compatible with the source code in Asterisk
anymore. Therefore instead, this change checks out the latest version of the
libSRTP 1.5.x branch. Furthermore now, libSRTP is compiled with OpenSSL as
backend. This makes AES-GCM and AES-IN possible.

ASTERISK-22131 #close

Change-Id: I2e396cdc01da0ff610686e398ed210ca7408f7d6

contrib/scripts/install_prereq

index bda28e9..fb24089 100755 (executable)
@@ -175,7 +175,9 @@ install_unpackaged() {
                        cd libsrtp
                        git pull
                fi
-               ./configure CFLAGS=-fPIC && make libsrtp.a && make uninstall && make install
+               git checkout "1_5_x_throttle"
+               ./configure --disable-debug --disable-stdout --enable-openssl
+               make shared_library uninstall install
                cd ..
                echo "/usr/local/lib" > /etc/ld.so.conf.d/usr_local.conf
                /sbin/ldconfig